> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Master Wallet Get Rule

> This endpoint allows you to retrieve the details of a specific auto-settlement rule associated with a particular wallet.

## Path Parameters

| Field | Type   | Description |
|-------|--------|-------------|
| `id`  | string | The unique identifier of the auto-settlement rule to retrieve. |




## OpenAPI

````yaml get /v1/wallets/{walletId}/auto-settlements/rules/{id}
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/auto-settlements/rules/{id}:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: '{{walletId}}'
      - name: id
        in: path
        required: true
        schema:
          type: string
          example: 55869cbe-fa3a-44d2-a7e3-d65c08355e4d
    get:
      tags:
        - Auto Settlements
      summary: Master Wallet Get Rule
      description: >
        This endpoint allows you to retrieve the details of a specific
        auto-settlement rule associated with a particular wallet.


        ## Path Parameters


        | Field | Type   | Description |

        |-------|--------|-------------|

        | `id`  | string | The unique identifier of the auto-settlement rule to
        retrieve. |
      operationId: masterWalletGetRule
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      destination:
                        type: object
                        properties:
                          address:
                            type: string
                            example: '0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4'
                          asset:
                            type: string
                            example: USDC
                          blockchain:
                            type: string
                            example: optimism
                      id:
                        type: string
                        example: 312ed6b6-cdde-4761-989d-c8e2b6047e19
                      isActive:
                        type: boolean
                        example: true
                      name:
                        type: string
                        example: Swap from Base USDC to Optimism USDC
                      order:
                        type: string
                        example: RECOMMENDED
                      slippageTolerance:
                        type: string
                        example: '5'
                      source:
                        type: object
                        properties:
                          assets:
                            type: array
                            items:
                              type: string
                              example: USDC
                            example:
                              - USDC
                          blockchain:
                            type: string
                            example: base
                          maxAmount:
                            type: string
                            example: '1000'
                          minAmount:
                            type: string
                            example: '1'
                  message:
                    type: string
                    example: Auto settlement rule fetched successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      destination:
                        address: '0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4'
                        asset: USDC
                        blockchain: optimism
                      id: 312ed6b6-cdde-4761-989d-c8e2b6047e19
                      isActive: true
                      name: Swap from Base USDC to Optimism USDC
                      order: RECOMMENDED
                      slippageTolerance: '5'
                      source:
                        assets:
                          - USDC
                        blockchain: base
                        maxAmount: '1000'
                        minAmount: '1'
                    message: Auto settlement rule fetched successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````